Uploaded image for project: 'ROOT'
  1. ROOT
  2. ROOT-7630

[pcre][PPC64LE][PATCH] Update builtin_pcre to 8.37 version

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed (View Workflow)
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: 6.06/00
    • Fix Version/s: 6.06/00, 6.04/08
    • Component/s: Core Libraries
    • Labels:
      None
    • Environment:

      NAME=Fedora
      VERSION="21 (Twenty One)"
      ID=fedora
      VERSION_ID=21
      PRETTY_NAME="Fedora 21 (Twenty One)"

      GCC 4.9.2 + binutils 2.24

    • Development:

      Description

      The current pcre at 7.8 does not understand ppc64le. Update pcre to 8.37 (current upstream compatible version), which has not problems detecting ppc64le machine.

      The change was compile tested on ppc64le + Fedora 21 and x86_64 + SLC6.7 + ICC 15.0.3 20150407.

      Note, that Windows version os PCRE (or whatever is in win32 directory) is not modified. According to makefiles is 7.8 version, but according to win32 source code it's 7.4. Version name was adjusted to 8.37.

        Attachments

          Activity

            People

            • Assignee:
              mato Pere Mato Vila
              Reporter:
              davidlt David Abdurachmanov (Inactive)
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:
                PlannedEnd:
                PlannedStart:
                Actual End: